if GetLocale() ~= "ruRU" then
    return;
end

local COLOR_NORMAL  = "|r";

local COLOR_WARNING = "|cFFFF3333";
local COLOR_NOTICE  = "|cFFFFFF66";
local COLOR_TITLE   = "|cFFFF3333";
local COLOR_COMMAND = "|cFFFFFF66";

local MSG_TITLE     = COLOR_TITLE .. "Needja Tracker" .. COLOR_NORMAL;

NT_LOCALE = {
    ["CHAT_MATCH"] = {
        {"Результат броска (.+) %(\"(.+)\"%) за предмет (.+): (.+)%.",                      "RESULT_WIN"},
        {"(.+): предмет никому не нужен%.",                                                 "RESULT_PASS"},
        {"Разыгрывается: (.+)%. Вы сказали: \"(.+)\"%.",                                    "ROLL_YOU"},
        {"Разыгрывается: (.+)%. (.+): \"(.+)\"%.",                                          "ROLL_PARTY"},
        {"Вы отказались от предмета: (.+)",                                                 "PASS_YOU"},
        {"(.+) отказывается от предмета (.+)%.",                                            "PASS_PARTY"},
        {"Вы автоматически передаете предмет (.+), поскольку не можете его забрать%.",      "PASS_YOU"},
        {"(.+) автоматически передает предмет (.+), поскольку не может его забрать%.",      "PASS_PARTY"},
        {"Вы пропускаете розыгрыш предмета \"(.+)\", поскольку не можете его забрать%.",    "PASS_YOU"},
        {"(.+) пропускает розыгрыш предмета \"(.+)\", поскольку не может его забрать%.",    "PASS_PARTY"},
        {"Вы выиграли: (.+)",                                                               "WIN_YOU"},
        {"(.+) выигрывает: (.+)",                                                           "WIN_PARTY"},
    },
    ["NEED_MATCH"] = {
        ["Нужно"]           = "Need",
        ["Мне это нужно"]   = "Need",
        ["Не откажусь"]     = "Greed",
        ["Распылить"]       = "Disenchant",
    },
    ["NEED"] = {
        ["Need"]            = "Нужно",
        ["Greed"]           = "Не откажусь",
        ["Disenchant"]      = "Распылить",
        ["Unknown"]         = "Неизвестно",
    },
    ["MESSAGES"] = {
        ["ROLL_NEED"]       = "%s: " .. COLOR_WARNING .. "%s выбирает %s"          .. COLOR_NORMAL,
        ["WIN_YOU"]         = "%s: " .. COLOR_NOTICE  .. "Вы выигрываете (%s: %s)" .. COLOR_NORMAL,
        ["WIN_PARTY"]       = "%s: " .. COLOR_NOTICE  .. "%s выигрывает (%s: %s)"  .. COLOR_NORMAL,
        ["WIN_NEED"]        = "%s: " .. COLOR_WARNING .. "%s выигрывает (%s: %s)"  .. COLOR_NORMAL,
        ["PASS_PARTY"]      = "%s: " .. COLOR_NOTICE  .. "никому не нужно"         .. COLOR_NORMAL,

        ["HISTORY_HEADER"]  = MSG_TITLE .. " - История розыгрышей:",
        ["HISTORY_EMPTY"]   = MSG_TITLE .. " - История розыгрышей пуста",

        ["HISTORY_PASS"]    = "  %s. %s: " .. COLOR_NOTICE  .. "-- (Не нужно)" .. COLOR_NORMAL,
        ["HISTORY_WIN"]     = "  %s. %s: " .. COLOR_NOTICE  .. "%s (%s: %s)"   .. COLOR_NORMAL,
        ["HISTORY_NEED"]    = "  %s. %s: " .. COLOR_WARNING .. "%s (%s: %s)"   .. COLOR_NORMAL,

        ["HELP_LINE_1"]     = MSG_TITLE .. " - Список команд (" .. COLOR_COMMAND .. "/nt" .. COLOR_NORMAL .. " команда):",

        ["HELP_LINE_2"]     = "  " .. COLOR_COMMAND .. "report"  .. COLOR_NORMAL .. " (" .. COLOR_COMMAND .. "party" .. COLOR_NORMAL .. "/" .. COLOR_COMMAND .. "raid" .. COLOR_NORMAL .. ") - статистика розыгрышей",
        ["HELP_LINE_3"]     = "  " .. COLOR_COMMAND .. "history" .. COLOR_NORMAL .. " (" .. COLOR_COMMAND .. "party" .. COLOR_NORMAL .. "/" .. COLOR_COMMAND .. "raid" .. COLOR_NORMAL .. ") - история розыгрышей",
        ["HELP_LINE_4"]     = "  " .. COLOR_COMMAND .. "clear"   .. COLOR_NORMAL .. " - очистить статистику",
    },
}
